function [out] = isinSet(S,x,xsymb,t)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab M-file       Project: HyEQ Toolbox  @ Hybrid Dynamics and Control
% Lab, http://www.u.arizona.edu/~sricardo/index.php?n=Main.Software
%
% Filename: isinSet.m
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Given a set of simbolic equations S and a vector of states x find if x
% belongs to S
% S: vector of symbolic equations
% x: state vector (double)
% xsymb: state vector (symbolic function or structure)


% Extract the symbolic variables of the symbolic function
eqi = 1;
clear eqS;
xt = xsymb(t); % get the indexed sym
for ieq = S
    eqS(eqi) = ieq;
    for xi = 1:length(xt)
        ix = xt(xi);
        eqS(eqi) = subs(eqS(eqi),ix,x(xi));
    end
    eqi = eqi+1;
end
out = sum(eval(eqS))==length(eqS);
